{"openapi":"3.1.0","info":{"title":"Vabu OS API","version":"v1"},"servers":[{"url":"{baseUrl}","variables":{"baseUrl":{"default":"https://api.vabu.live","description":"Your Vabu OS API host"}}}],"paths":{"/build-info":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"anyOf":[{},{"type":"object","properties":{"commit":{"type":"string","const":"unknown"},"build_date":{"type":"string","const":"unknown"},"version":{"type":"string","const":"unknown"},"error":{"type":"string","const":"BUILD_INFO file not found"}},"required":["commit","build_date","version","error"]}]}}}}}}},"/v1/status":{"get":{"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","const":"ok"}},"required":["status"]}}}}}}},"/v1/access/check":{"post":{"operationId":"access.check","tags":["AccessCheck"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"allowed":{"type":"boolean"},"reason":{"type":["string","null"]},"entitlement":{"type":["object","null"],"additionalProperties":{}}},"required":["allowed","reason","entitlement"]}},"required":["data"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/access/sessions":{"post":{"operationId":"access.sessions.store","tags":["AccessSessions"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenSessionRequest"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"object":{"type":"string","const":"access_session"},"entitlement":{"type":"string"},"customer":{"type":["string","null"]},"contact_hash":{"type":["string","null"]},"resource":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string"},"variant":{"type":["string","null"]}},"required":["type","id","variant"]},"device_id":{"type":"string"},"state":{"type":"string"},"expires_at":{"type":"string"},"heartbeat_interval":{"type":"integer"},"grant":{"type":"string"}},"required":["id","object","entitlement","customer","contact_hash","resource","device_id","state","expires_at","heartbeat_interval","grant"]}},"required":["data"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/access/sessions/{id}/heartbeat":{"post":{"operationId":"access.sessions.heartbeat","tags":["AccessSessions"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubjectRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"object":{"type":"string","const":"access_session"},"entitlement":{"type":"string"},"customer":{"type":["string","null"]},"contact_hash":{"type":["string","null"]},"resource":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string"},"variant":{"type":["string","null"]}},"required":["type","id","variant"]},"device_id":{"type":"string"},"state":{"type":"string"},"expires_at":{"type":"string"},"heartbeat_interval":{"type":"integer"},"grant":{"type":"string"}},"required":["id","object","entitlement","customer","contact_hash","resource","device_id","state","expires_at","heartbeat_interval","grant"]}},"required":["data"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/access/sessions/{id}":{"delete":{"operationId":"access.sessions.destroy","tags":["AccessSessions"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"customer","in":"query","schema":{"type":"string","maxLength":255}},{"name":"contact_hash","in":"query","schema":{"type":"string","pattern":"^[a-fA-F0-9]{64}$"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"object":{"type":"string","const":"access_session"},"entitlement":{"type":"string"},"customer":{"type":["string","null"]},"contact_hash":{"type":["string","null"]},"resource":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string"},"variant":{"type":["string","null"]}},"required":["type","id","variant"]},"device_id":{"type":"string"},"state":{"type":"string"},"expires_at":{"type":"string"},"heartbeat_interval":{"type":"integer"},"grant":{"type":"string"}},"required":["id","object","entitlement","customer","contact_hash","resource","device_id","state","expires_at","heartbeat_interval","grant"]}},"required":["data"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/activity/feed":{"get":{"operationId":"activity.feed","summary":"Get activity feed with optional filters","tags":["ActivityFeed"],"parameters":[{"name":"type","in":"query","schema":{"type":["string","null"],"enum":["purchases","events","all",null]}},{"name":"tenant_slug","in":"query","schema":{"type":["string","null"],"maxLength":50}},{"name":"organization_slug","in":"query","schema":{"type":["string","null"],"maxLength":50}},{"name":"event_slug","in":"query","schema":{"type":["string","null"],"maxLength":50}},{"name":"limit","in":"query","schema":{"type":["integer","null"],"minimum":1,"maximum":50}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ActivityFeed"}},"meta":{"type":"object","properties":{"has_more":{"type":"boolean"},"cursor":{"type":["string","null"]}},"required":["has_more","cursor"]}},"required":["data","meta"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/analytics":{"get":{"operationId":"analytics.index","description":"Get analytics overview for the organizer: revenue, ticket sales, traffic, top events.\n\n`total_revenue`, `sales_trend` and each top event `revenue` are only returned to org Owners, Admins and platform admins.","summary":"GET /organizer/analytics","tags":["Analytics"],"parameters":[{"name":"period","in":"query","schema":{"type":"string","default":"30d"}},{"name":"compare","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"stats":{"type":"object","properties":{"total_revenue":{"type":"object","properties":{"value":{"type":"number"},"currency":{"type":"string"},"change_percentage":{"type":["number","null"]}},"required":["value","currency","change_percentage"]},"tickets_sold":{"type":"object","properties":{"value":{"type":"integer"},"change_percentage":{"type":["number","null"]}},"required":["value","change_percentage"]},"page_views":{"type":"object","properties":{"value":{"type":"integer"},"change_percentage":{"type":["number","null"]}},"required":["value","change_percentage"]},"conversion_rate":{"type":"object","properties":{"value":{"type":"number"},"change_percentage":{"type":["number","null"]}},"required":["value","change_percentage"]}},"required":["tickets_sold","page_views","conversion_rate"]},"sales_trend":{"type":"object","properties":{"labels":{"type":"array","items":{"type":"string"}},"data":{"type":"array","items":{"type":"integer"}}},"required":["labels","data"]},"traffic_sources":{"type":"array","items":{"type":"string"}},"top_events":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"tickets_sold":{"type":"integer"},"revenue":{"type":"number"},"conversion_rate":{"type":"integer"}},"required":["id","name","tickets_sold","conversion_rate"]}}},"required":["stats","traffic_sources","top_events"]},"meta":{"type":"object","properties":{"generated_at":{"type":"string"},"period":{"type":"string"},"cache_ttl_seconds":{"type":"integer"}},"required":["generated_at","period","cache_ttl_seconds"]}},"required":["data","meta"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/organizer/analytics/revenue":{"get":{"operationId":"analytics.revenue","summary":"GET /organizer/analytics/revenue","tags":["Analytics"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"date":{"type":"string"},"revenue":{"type":"number"},"currency":{"type":"string","const":"KES"}},"required":["date","revenue","currency"]}},"meta":{"type":"object","description":"Server-side rollup so KPI tiles don't .reduce() the series.","properties":{"range":{"type":"string"},"period":{"type":"string"},"total_revenue":{"type":"number"}},"required":["range","period","total_revenue"]}},"required":["data","meta"]},{"type":"object","properties":{"data":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0},"meta":{"type":"object","properties":{"range":{"type":"string"},"period":{"type":"string"},"total_revenue":{"type":"integer"}},"required":["range","period","total_revenue"]}},"required":["data","meta"]}]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/organizer/analytics/tickets":{"get":{"operationId":"analytics.tickets","summary":"GET /organizer/analytics/tickets","tags":["Analytics"],"parameters":[{"name":"event_id","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"date":{"type":"string"},"tickets_sold":{"type":"integer"}},"required":["date","tickets_sold"]}},"meta":{"type":"object","properties":{"range":{"type":"string"},"period":{"type":"string"},"total_tickets":{"type":"integer"}},"required":["range","period","total_tickets"]}},"required":["data","meta"]},{"type":"object","properties":{"data":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0},"meta":{"type":"object","properties":{"range":{"type":"string"},"period":{"type":"string"},"total_tickets":{"type":"integer"}},"required":["range","period","total_tickets"]}},"required":["data","meta"]}]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/organizer/analytics/events":{"get":{"operationId":"analytics.events","description":"`revenue` is only returned to org Owners, Admins and platform admins.","summary":"GET /organizer/analytics/events","tags":["Analytics"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"event_id":{"type":"string"},"event_name":{"type":"string"},"slug":{"type":"string"},"status":{"$ref":"#/components/schemas/EventStatus"},"tickets_sold":{"type":"integer"},"capacity":{"type":"integer"},"utilization_pct":{"type":"number"},"revenue":{"type":"number"},"currency":{"type":"string"},"checkin_rate_pct":{"type":"number"}},"required":["event_id","event_name","slug","status","tickets_sold","capacity","utilization_pct","currency","checkin_rate_pct"]}},"meta":{"type":"object","properties":{"total_events":{"type":"integer"},"limit":{"type":"integer"},"sort":{"type":"string"}},"required":["total_events","limit","sort"]}},"required":["data","meta"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/organizer/analytics/audience":{"get":{"operationId":"analytics.audience","summary":"GET /organizer/analytics/audience","tags":["Analytics"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"data":{"type":"object","properties":{"ticket_types":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"count":{"type":"integer"},"percentage":{"type":"number"}},"required":["name","count","percentage"]}},"avg_ticket_price":{"type":"number"},"currency":{"type":"string","const":"KES"},"total_unique_attendees":{"type":"integer"},"repeat_attendees":{"type":"integer"}},"required":["ticket_types","avg_ticket_price","currency","total_unique_attendees","repeat_attendees"]}},"required":["data"]},{"type":"object","properties":{"data":{"type":"object","properties":{"ticket_types":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0},"avg_ticket_price":{"type":"integer"},"currency":{"type":"string","const":"KES"},"total_unique_attendees":{"type":"integer"},"repeat_attendees":{"type":"integer"}},"required":["ticket_types","avg_ticket_price","currency","total_unique_attendees","repeat_attendees"]}},"required":["data"]}]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/organizer/analytics/conversions":{"get":{"operationId":"analytics.conversions","summary":"GET /organizer/analytics/conversions","tags":["Analytics"],"parameters":[{"name":"event_id","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"data":{"type":"object","properties":{"page_views":{"type":"integer"},"unique_visitors":{"type":"integer"},"orders":{"type":"integer"},"conversion_rate_pct":{"type":"integer"},"coupon_usage":{"type":"object","properties":{"total_uses":{"type":"integer"},"total_discount":{"type":"number"},"orders_with_coupon":{"type":"integer"},"top_coupons":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string"},"uses":{"type":"integer"},"discount_total":{"type":"number"}},"required":["code","uses","discount_total"]}}},"required":["total_uses","total_discount","orders_with_coupon","top_coupons"]}},"required":["page_views","unique_visitors","orders","conversion_rate_pct","coupon_usage"]}},"required":["data"]},{"type":"object","properties":{"data":{"type":"object","properties":{"page_views":{"type":"integer"},"unique_visitors":{"type":"integer"},"orders":{"type":"integer"},"conversion_rate_pct":{"type":"integer"},"coupon_usage":{"type":"object","properties":{"total_uses":{"type":"integer"},"total_discount":{"type":"integer"},"orders_with_coupon":{"type":"integer"},"top_coupons":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0}},"required":["total_uses","total_discount","orders_with_coupon","top_coupons"]}},"required":["page_views","unique_visitors","orders","conversion_rate_pct","coupon_usage"]}},"required":["data"]}]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/keys":{"get":{"operationId":"keys.index","tags":["ApiKeys"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ApiKeyResource"}},"meta":{"type":"object","properties":{"pagination":{"type":"object","properties":{"current_page":{"type":"string"},"total_pages":{"type":"string"},"per_page":{"type":"string"},"total":{"type":"string"}},"required":["current_page","total_pages","per_page","total"]}},"required":["pagination"]}},"required":["data","meta"]}}}}}},"post":{"operationId":"keys.store","tags":["ApiKeys"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreApiKeyRequest"}}}},"responses":{"201":{"description":"`ApiKeyResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ApiKeyResource"}},"required":["data"]}}}},"403":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"array","items":{}}},"required":["error"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/keys/{id}":{"get":{"operationId":"keys.show","tags":["ApiKeys"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"`ApiKeyResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ApiKeyResource"}},"required":["data"]}}}}}},"delete":{"operationId":"keys.destroy","tags":["ApiKeys"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/v1/keys/{id}/roll":{"post":{"operationId":"keys.roll","tags":["ApiKeys"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"expires_in_seconds":{"type":"integer","minimum":0,"maximum":604800}}}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/tenant/admin/plus/approvals":{"get":{"operationId":"approvals.index","tags":["Approvals"],"parameters":[{"name":"status","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated set of `TenantAdminContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/TenantAdminContentResource"},{"type":"object","required":["trailer","items","organization"]}]}},"links":{"type":"object","properties":{"first":{"type":"string"},"last":{"type":"string"},"prev":{"type":["string","null"]},"next":{"type":"string"}},"required":["first","last","prev","next"]},"meta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":["integer","null"]},"last_page":{"type":"string"},"links":{"type":"object","additionalProperties":{}},"path":{"type":["string","null"]},"per_page":{"type":"integer"},"to":{"type":["integer","null"]},"total":{"type":"string"}},"required":["current_page","from","last_page","links","path","per_page","to","total"]}},"required":["data","links","meta"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/tenant/admin/plus/approvals/{content}":{"get":{"operationId":"approvals.show","tags":["Approvals"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"responses":{"200":{"description":"`TenantAdminContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/TenantAdminContentResource"},{"type":"object","required":["trailer","items","approvals","organization"]}]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/tenant/admin/plus/approvals/{content}/approve":{"post":{"operationId":"approvals.approve","tags":["Approvals"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApproveContentRequest"}}}},"responses":{"200":{"description":"`TenantAdminContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/TenantAdminContentResource"},{"type":"object","required":["trailer","items","approvals"]}]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/tenant/admin/plus/approvals/{content}/reject":{"post":{"operationId":"approvals.reject","tags":["Approvals"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RejectContentRequest"}}}},"responses":{"200":{"description":"`TenantAdminContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/TenantAdminContentResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/tenant/admin/plus/approvals/{content}/request-changes":{"post":{"operationId":"approvals.requestChanges","tags":["Approvals"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestChangesRequest"}}}},"responses":{"200":{"description":"`TenantAdminContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/TenantAdminContentResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/tenant/admin/plus/contents/{content}/publish":{"post":{"operationId":"approvals.publish","summary":"Force-publish a previously approved content (in case auto-publish did not fire).\nStandard approval flow uses PublishContentOnApproved listener","tags":["Approvals"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"responses":{"200":{"description":"`TenantAdminContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/TenantAdminContentResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"INVALID_OPERATION"},"message":{"type":"string","const":"Only approved content can be published."}},"required":["code","message"]}},"required":["error"]}}}}}}},"/v1/streams/assets":{"get":{"operationId":"streams.assets.index","tags":["Assets"],"parameters":[{"name":"metadata","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}}}},"post":{"operationId":"streams.assets.store","summary":"Create an asset from a public URL","tags":["Assets"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string","format":"uri","maxLength":2048},"playback_policy":{"type":"string","enum":["public","signed"]},"generated_subtitles":{"type":"string","pattern":"^[a-z]{2}(-[A-Z]{2})?$"},"metadata":{"type":["string","null"]},"external_id":{"type":["string","null"],"maxLength":255}},"required":["url"]}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","additionalProperties":{}}},"required":["data"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/streams/assets/{id}":{"get":{"operationId":"streams.assets.show","tags":["Assets"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","additionalProperties":{}}},"required":["data"]}}}}}},"patch":{"operationId":"streams.assets.update","summary":"Change `metadata` or `external_id`","tags":["Assets"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","additionalProperties":{}}},"required":["data"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}},"delete":{"operationId":"streams.assets.destroy","tags":["Assets"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","additionalProperties":{}}},"required":["data"]}}}}}}},"/v1/streams/assets/{id}/moments":{"get":{"operationId":"streams.assets.moments","summary":"The moments that fall inside a recording of a live stream, with their offset in seconds from the\nstart of the recording: chapters for a replay. Cancelled moments are left out. Paginated like every list, newest saved\nfirst; order chapters by `offset_s`","tags":["Assets"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"data":{"type":"array","items":{"type":"array","items":{}}},"meta":{"type":"object","properties":{"pagination":{"type":"object","properties":{"limit":{"type":"integer"},"has_more":{"type":"boolean"},"next_cursor":{"type":["string","null"]},"prev_cursor":{"type":["string","null"]}},"required":["limit","has_more","next_cursor","prev_cursor"]}},"required":["pagination"]}},"required":["data","meta"]},{"type":"object","properties":{"data":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0}},"required":["data"]}]}}}}}}},"/v1/streams/assets/{id}/clips":{"post":{"operationId":"streams.assets.clips.store","summary":"Cut a clip from a ready asset by relative time in seconds","tags":["Assets"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"start_time":{"type":"number","minimum":0},"end_time":{"type":"number"},"playback_policy":{"type":"string","enum":["public","signed"]},"generated_subtitles":{"type":"string","pattern":"^[a-z]{2}(-[A-Z]{2})?$"},"aspect":{"type":"string","enum":["9:16"]}},"required":["start_time","end_time"]}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","additionalProperties":{}}},"required":["data"]}}}},"409":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"array","items":{}}},"required":["error"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/streams/clips/{id}":{"get":{"operationId":"streams.clips.show","tags":["Assets"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","additionalProperties":{}}},"required":["data"]}}}}}}},"/v1/attendee/dashboard":{"get":{"operationId":"attendeeDashboard.index","summary":"GET /attendee/dashboard","tags":["AttendeeDashboard"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"upcoming_events":{"type":"integer"},"past_events":{"type":"integer"},"active_tickets":{"type":"integer"},"total_spent":{"type":"number"},"currency":{"type":"string","const":"KES"}},"required":["upcoming_events","past_events","active_tickets","total_spent","currency"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/organizer/events/{event}/attendees":{"get":{"operationId":"attendees.index","description":"List attendees for an event with cursor pagination.","summary":"GET /organizer/events/{event}/attendees","tags":["Attendees"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"cursor","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganizerAttendeeResource"}},"meta":{"type":"object","properties":{"next_cursor":{"type":["string","null"]},"has_more":{"type":"boolean"},"limit":{}},"required":["next_cursor","has_more","limit"]},"summary":{"type":"object","properties":{"all":{"type":"integer","minimum":0},"pending":{"type":"integer","minimum":0},"confirmed":{"type":"integer","minimum":0},"cancelled":{"type":"integer","minimum":0}},"required":["all","pending","confirmed","cancelled"]}},"required":["data","meta","summary"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}},"post":{"operationId":"attendees.store","description":"Manually add an attendee (comped ticket).","summary":"POST /organizer/events/{event}/attendees","tags":["Attendees"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"first_name":{"type":"string","maxLength":100},"last_name":{"type":"string","maxLength":100},"email":{"type":"string","format":"email","maxLength":255},"phone":{"type":["string","null"],"maxLength":20},"ticket_type_id":{"type":"string","format":"uuid"},"send_invite":{"type":["boolean","null"]}},"required":["first_name","last_name","email","ticket_type_id"]}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","const":"confirmed"},"invite_status":{"type":"string","const":"queued"},"ticket_delivery_status":{"type":"string","const":"queued"}},"required":["id","status","invite_status","ticket_delivery_status"]}},"required":["data"]}}}},"400":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"INVALID_TICKET"},"message":{"type":"string","const":"This ticket type isn't available for this event."}},"required":["code","message"]}},"required":["error"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/attendees/export":{"get":{"operationId":"attendees.export","description":"Export attendees as a CSV download.","summary":"GET /organizer/events/{event}/attendees/export","tags":["Attendees"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"format","in":"query","schema":{"type":"string","default":"csv"}}],"responses":{"200":{"description":"","content":{"text/csv":{"schema":{"type":"string"}}},"headers":{"Transfer-Encoding":{"required":true,"schema":{"type":"string","enum":["chunked"]}}}},"400":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"INVALID_FORMAT"},"message":{"type":"string","const":"Only CSV format is supported at this time."}},"required":["code","message"]}},"required":["error"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/organizer/events/{event}/attendees/{attendee}":{"get":{"operationId":"attendees.show","description":"Get attendee details for organizer management.","summary":"GET /organizer/events/{event}/attendees/{attendee}","tags":["Attendees"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"attendee","in":"path","required":true,"description":"The attendee ID","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerAttendeeDetailResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/organizer/events/{event}/attendees/{attendee}/approve":{"post":{"operationId":"attendees.approve","tags":["Attendees"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"attendee","in":"path","required":true,"description":"The attendee ID","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerAttendeeDetailResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"409":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"INVALID_STATE"},"message":{"type":"string","const":"This attendee has already been rejected."}},"required":["code","message"]}},"required":["error"]}}}},"422":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"PAYMENT_PENDING"},"message":{"type":"string","const":"Payment must be completed before this attendee can be reviewed."}},"required":["code","message"]}},"required":["error"]}}}}}}},"/v1/organizer/events/{event}/attendees/{attendee}/reject":{"post":{"operationId":"attendees.reject","tags":["Attendees"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"attendee","in":"path","required":true,"description":"The attendee ID","schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"reason":{"type":["string","null"],"maxLength":1000}}}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerAttendeeDetailResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"409":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"INVALID_STATE"},"message":{"type":"string","const":"This attendee has already been approved."}},"required":["code","message"]}},"required":["error"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/attendees/{attendee}/resend":{"post":{"operationId":"attendees.resend","description":"Resend attendee ticket notification.","summary":"POST /organizer/events/{event}/attendees/{attendee}/resend","tags":["Attendees"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"attendee","in":"path","required":true,"description":"The attendee ID","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"sent":{"type":"boolean"}},"required":["sent"]},"message":{"type":"string"}},"required":["data","message"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"description":"","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"VALIDATION_ERROR"},"message":{"type":"string","const":"This attendee doesn't have an email address on file. We need one to resend the ticket."}},"required":["code","message"]}},"required":["error"]},{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"VALIDATION_ERROR"},"message":{"type":"string","const":"This attendee is still pending approval, so there is no ticket to resend yet."}},"required":["code","message"]}},"required":["error"]},{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"VALIDATION_ERROR"},"message":{"type":"string","const":"This attendee's ticket has been cancelled, so we can't resend it."}},"required":["code","message"]}},"required":["error"]}]}}}},"429":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"TOO_MANY_REQUESTS"},"message":{"type":"string","const":"A ticket was just resent to this attendee. Please wait a few minutes before trying again."}},"required":["code","message"]}},"required":["error"]}}}}}}},"/v1/events/{event}/book/payload":{"get":{"operationId":"booking.payload","tags":["Booking"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"ticket_id","in":"query","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"quantity","in":"query","required":true,"schema":{"type":"integer","minimum":1}},{"name":"event_slot_id","in":"query","schema":{"type":["string","null"],"format":"uuid"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"ticket":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"pricing_mode":{"type":"string","enum":["name_your_price","fixed"]},"price":{"type":["number","null"]},"flexipay_min_price":{"type":["number","null"]},"flexipay_max_price":{"type":["number","null"]},"allow_pay_later":{"type":"boolean"}},"required":["id","name","pricing_mode","price","flexipay_min_price","flexipay_max_price","allow_pay_later"]},"quantity":{"type":"integer"},"attendee_slots":{"type":"number"},"attendee_fields":{"type":"array","prefixItems":[{"type":"object","properties":{"name":{"type":"string","const":"first_name"},"label":{"type":"string","const":"First Name"},"type":{"type":"string","const":"text"},"required":{"type":"boolean"}},"required":["name","label","type","required"]},{"type":"object","properties":{"name":{"type":"string","const":"last_name"},"label":{"type":"string","const":"Last Name"},"type":{"type":"string","const":"text"},"required":{"type":"boolean"}},"required":["name","label","type","required"]},{"type":"object","properties":{"name":{"type":"string","const":"email"},"label":{"type":"string","const":"Email"},"type":{"type":"string","const":"email"},"required":{"type":"boolean"}},"required":["name","label","type","required"]},{"type":"object","properties":{"name":{"type":"string","const":"phone"},"label":{"type":"string","const":"Phone"},"type":{"type":"string","const":"text"},"required":{"type":"boolean"}},"required":["name","label","type","required"]}],"minItems":4,"maxItems":4},"extra_fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"required":{"type":"boolean"},"options":{"type":"array","items":{}}},"required":["id","name","type","required","options"]}},"supports_coupon":{"type":"boolean"},"bookable":{"type":"boolean"},"bookable_reason":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"sale_window":{"type":"object","properties":{"start_sale_at":{"type":["string","null"]},"end_sale_at":{"type":["string","null"]}},"required":["start_sale_at","end_sale_at"]},"expected_payload":{"type":"object","properties":{"ticket_id":{"type":"string"},"event_slot_id":{"type":["string","null"]},"quantity":{"type":"integer"},"buyer_name":{"type":"string","const":"John Doe"},"buyer_email":{"type":"string","const":"john.doe@example.com"},"buyer_phone":{"type":"string","const":"+254700000000"},"redirect_url":{"type":"string","const":"https://example.com/return"},"coupon_code":{"type":"string","const":"OPTIONAL"},"attendees":{"type":"array","items":{"type":"object","properties":{"first_name":{"type":"string","enum":["John","Jane"]},"last_name":{"type":"string","enum":["Doe0","Doe"]},"email":{"type":"string"},"phone":{"type":"string"},"extra_data":{"type":"string"}},"required":["first_name","last_name","email","phone","extra_data"]}}},"required":["ticket_id","event_slot_id","quantity","buyer_name","buyer_email","buyer_phone","redirect_url","coupon_code","attendees"]}},"required":["ticket","quantity","attendee_slots","attendee_fields","extra_fields","supports_coupon","bookable","bookable_reason","sale_window","expected_payload"]}}}},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/events/{event}/book":{"post":{"operationId":"booking.store","tags":["Booking"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingStoreRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"booking":{"$ref":"#/components/schemas/Booking"},"payment":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0}]}},"required":["booking","payment"]}}}},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/creator/bookings/{code}":{"get":{"operationId":"booking.show","tags":["Booking"],"parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Booking"}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/events/booking/pay-later/fixed/{code}":{"post":{"operationId":"bookingCallback.bookingPayLaterFixedCallback","tags":["BookingCallback"],"parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"paid":{"type":"string"}},"required":["status","paid"]}}}}}}},"/v1/events/booking/pay-later/open/{code}":{"post":{"operationId":"bookingCallback.bookingPayLaterOpenCallback","tags":["BookingCallback"],"parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"paid":{"type":"string"}},"required":["status","paid"]}}}}}}},"/v1/creator/orgs/{org}/capsule-profile":{"get":{"operationId":"capsuleProfile.show","tags":["CapsuleProfile"],"parameters":[{"name":"org","in":"path","required":true,"description":"The org handle","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"organization_id":{"type":"string"},"capsule_id":{"type":"string"},"name":{"type":"string"},"handle":{"type":"string"},"avatar_url":{"type":["string","null"]},"cover_url":{"type":["string","null"]},"profile":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0}]},"public_capsule_url":{"type":"string"},"is_public":{"type":"boolean"},"readiness":{"type":"object","properties":{"score":{"type":"integer"},"status":{"type":"string","enum":["strong","shareable","draft"]},"public_capsule_url":{"type":"string"},"completed_items":{"type":"array","items":{"type":"string","enum":["name","handle","bio","avatar","cover","contact","links","audience_enabled"]}},"missing_items":{"type":"array","items":{"type":"string","enum":["name","handle","bio","avatar","cover","contact","links","audience_enabled"]}},"warnings":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0},"share_blockers":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0}},"required":["score","status","public_capsule_url","completed_items","missing_items","warnings","share_blockers"]}},"required":["organization_id","capsule_id","name","handle","avatar_url","cover_url","profile","public_capsule_url","is_public","readiness"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}},"patch":{"operationId":"capsuleProfile.update","tags":["CapsuleProfile"],"parameters":[{"name":"org","in":"path","required":true,"description":"The org handle","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tagline":{"type":["string","null"],"maxLength":160},"bio":{"type":["string","null"]},"creator_type":{"type":["string","null"],"maxLength":80},"category":{"type":["string","null"],"maxLength":80},"hero_media":{"type":["array","null"],"items":{"type":"string"}},"links":{"type":["array","null"],"items":{"type":"string"}},"external_storefront_url":{"type":["string","null"],"format":"uri"},"join_enabled":{"type":["boolean","null"]},"subscription_enabled":{"type":["boolean","null"]},"is_public":{"type":["boolean","null"]}}}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"organization_id":{"type":"string"},"capsule_id":{"type":"string"},"name":{"type":"string"},"handle":{"type":"string"},"avatar_url":{"type":["string","null"]},"cover_url":{"type":["string","null"]},"profile":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0}]},"public_capsule_url":{"type":"string"},"is_public":{"type":"boolean"},"readiness":{"type":"object","properties":{"score":{"type":"integer"},"status":{"type":"string","enum":["strong","shareable","draft"]},"public_capsule_url":{"type":"string"},"completed_items":{"type":"array","items":{"type":"string","enum":["name","handle","bio","avatar","cover","contact","links","audience_enabled"]}},"missing_items":{"type":"array","items":{"type":"string","enum":["name","handle","bio","avatar","cover","contact","links","audience_enabled"]}},"warnings":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0},"share_blockers":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0}},"required":["score","status","public_capsule_url","completed_items","missing_items","warnings","share_blockers"]}},"required":["organization_id","capsule_id","name","handle","avatar_url","cover_url","profile","public_capsule_url","is_public","readiness"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/creator/orgs/{org}/readiness":{"get":{"operationId":"capsuleProfile.readiness","tags":["CapsuleProfile"],"parameters":[{"name":"org","in":"path","required":true,"description":"The org handle","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"score":{"type":"integer"},"status":{"type":"string","enum":["strong","shareable","draft"]},"public_capsule_url":{"type":"string"},"completed_items":{"type":"array","items":{"type":"string","enum":["name","handle","bio","avatar","cover","contact","links","audience_enabled"]}},"missing_items":{"type":"array","items":{"type":"string","enum":["name","handle","bio","avatar","cover","contact","links","audience_enabled"]}},"warnings":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0},"share_blockers":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0}},"required":["score","status","public_capsule_url","completed_items","missing_items","warnings","share_blockers"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/public/capsules/{slug}":{"get":{"operationId":"capsules.show","tags":["Capsules"],"parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"capsule":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"handle":{"type":"string"},"bio":{"type":["string","null"]},"tagline":{"type":["string","null"]},"creator_type":{"type":["string","null"]},"category":{"type":["string","null"]},"avatar_url":{"type":["string","null"]},"cover_url":{"type":["string","null"]},"hero_media":{"type":["string","null"]},"public_url":{"type":"string"}},"required":["id","name","slug","handle","bio","tagline","creator_type","category","avatar_url","cover_url","hero_media","public_url"]},"stats":{"type":"object","properties":{"audience_count":{"type":"integer"},"drops_count":{"type":"integer","minimum":0},"videos_count":{"type":"integer","minimum":0},"live_count":{"type":"integer","minimum":0},"posts_count":{"type":"integer"},"merch_count":{"type":"integer"}},"required":["audience_count","drops_count","videos_count","live_count","posts_count","merch_count"]},"viewer_state":{"type":"object","properties":{"is_following":{"type":"boolean"},"is_subscribed":{"type":"boolean"},"subscription_plan_id":{"type":"null"},"joined_at":{"type":"null"}},"required":["is_following","is_subscribed","subscription_plan_id","joined_at"]},"featured":{"type":"object","properties":{"drops":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/PublicContentResource"},{"type":"object","required":["organization"]}]}},"latest_post":{"type":"null"},"upcoming_live":{"type":"array","items":{"$ref":"#/components/schemas/PublicEventResource"}},"merch":{"type":"null"}},"required":["drops","latest_post","upcoming_live","merch"]},"links":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"label":{"type":"string"},"url":{}},"required":["type","label","url"]}},"availability":{"type":"object","properties":{"has_public_drops":{"type":"boolean"},"has_public_posts":{"type":"boolean"},"has_merch":{"type":"boolean"},"external_storefront_url":{"type":["string","null"]},"join_enabled":{"type":"boolean"},"subscription_enabled":{"type":"boolean"}},"required":["has_public_drops","has_public_posts","has_merch","external_storefront_url","join_enabled","subscription_enabled"]},"social_proof":{"type":"object","properties":{"audience_count":{"type":"integer"}},"required":["audience_count"]}},"required":["capsule","stats","viewer_state","featured","links","availability","social_proof"]}},"required":["data"]}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"NOT_FOUND"},"message":{"type":"string","const":"We couldn't find this Capsule. It may have been removed or the link might be incorrect."}},"required":["code","message"]}},"required":["error"]}}}}}}},"/v1/public/capsules/{slug}/drops":{"get":{"operationId":"capsules.drops","tags":["Capsules"],"parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","schema":{"type":"string"}},{"name":"search","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/PublicContentResource"},{"type":"object","required":["organization"]}]}},"meta":{"type":"object","properties":{"current_page":{"type":["integer","string"]},"per_page":{"type":["integer","string"]},"total_count":{"type":["integer","string"]},"total_pages":{"type":["integer","string"]}},"required":["current_page","per_page","total_count","total_pages"]},"summary":{"type":"object","properties":{"all":{"type":"integer","minimum":0}},"required":["all"]}},"required":["data","meta","summary"]}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"NOT_FOUND"},"message":{"type":"string","const":"We couldn't find this Capsule. It may have been removed or the link might be incorrect."}},"required":["code","message"]}},"required":["error"]}}}}}}},"/v1/public/capsules/{slug}/posts":{"get":{"operationId":"capsules.posts","tags":["Capsules"],"parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrgPost"}},"meta":{"type":"object","properties":{"current_page":{"type":"integer"},"per_page":{"type":"integer"},"total_count":{"type":"integer"},"total_pages":{"type":"integer"}},"required":["current_page","per_page","total_count","total_pages"]},"summary":{"type":"object","properties":{"published":{"type":"integer","minimum":0}},"required":["published"]}},"required":["data","meta","summary"]}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"NOT_FOUND"},"message":{"type":"string","const":"We couldn't find this Capsule. It may have been removed or the link might be incorrect."}},"required":["code","message"]}},"required":["error"]}}}}}}},"/v1/organizer/events/{event}/check-in":{"post":{"operationId":"checkIn.store","description":"Check in an attendee by code or QR scan.","summary":"POST /organizer/events/{event}/check-in","tags":["CheckIn"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","maxLength":2048}},"required":["code"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/check-in/stats":{"get":{"operationId":"checkIn.stats","description":"Get check-in statistics for an event.","summary":"GET /organizer/events/{event}/check-in/stats","tags":["CheckIn"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"total_attendees":{"type":"integer","minimum":0},"checked_in":{"type":"integer","minimum":0},"not_checked_in":{"type":"integer"},"check_in_rate":{"type":"number"},"by_ticket_type":{"type":"array","items":{"type":"object","properties":{"ticket_type_id":{"type":"string"},"ticket_type_name":{"type":"string"},"total":{"type":"integer","minimum":0},"checked_in":{"type":"integer","minimum":0},"rate":{"type":"number"}},"required":["ticket_type_id","ticket_type_name","total","checked_in","rate"]}}},"required":["total_attendees","checked_in","not_checked_in","check_in_rate","by_ticket_type"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/organizer/events/{event}/check-in/{attendeeId}/undo":{"post":{"operationId":"checkIn.undo","description":"Undo a check-in.","summary":"POST /organizer/events/{event}/check-in/{attendeeId}/undo","tags":["CheckIn"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"attendeeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["success"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"NOT_CHECKED_IN"},"message":{"type":"string","const":"This person hasn't been checked in yet, so there's nothing to undo."}},"required":["code","message"]}},"required":["error"]}}}}}}},"/v1/organizer/communications/preview-render":{"post":{"operationId":"communicationPreview.previewRender","summary":"POST /api/v1/organizer/communications/preview-render","tags":["CommunicationPreview"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreviewRenderRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"data":{"type":"object","properties":{"channel":{"type":"string","const":"sms"},"rendered_text":{"type":"string"},"sender_id":{"type":"string"},"total_characters":{"type":"integer"},"segments":{"type":"integer"}},"required":["channel","rendered_text","sender_id","total_characters","segments"]}},"required":["data"]},{"type":"object","properties":{"data":{"type":"object","properties":{"channel":{"type":"string","const":"email"},"rendered_html":{"type":"string"},"sender_name":{"anyOf":[{"type":"string"},{"type":"string","enum":["Vabu"]}]},"sender_email":{"anyOf":[{"type":"string"},{"type":"string","enum":["noreply@vabu.app"]}]},"subject":{"anyOf":[{"type":"string"},{"type":"null"},{"type":"string","enum":["Preview"]}]}},"required":["channel","rendered_html","sender_name","sender_email","subject"]}},"required":["data"]},{"type":"object","properties":{"data":{"type":"object","properties":{"channel":{"type":"string","const":"whatsapp"},"rendered_text":{"type":"string"},"template_name":{"type":"string","const":"community_blast_v1"},"template_params":{"type":"array","prefixItems":[{"type":"string"},{"type":["array","string","object"]}],"minItems":2,"maxItems":2},"sender_name":{"type":"string"},"sender_avatar_url":{"type":["string","null"]}},"required":["channel","rendered_text","template_name","template_params","sender_name","sender_avatar_url"]}},"required":["data"]}]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"EVENT_NOT_FOUND"},"message":{"type":"string","const":"Event not found."}},"required":["code","message"]}},"required":["error"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/plus/contents/{content}/items":{"get":{"operationId":"contentItems.index","tags":["ContentItems"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"responses":{"200":{"description":"Array of `OrganizerContentItemResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganizerContentItemResource"}}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}},"post":{"operationId":"contentItems.store","tags":["ContentItems"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreContentItemRequest"}}}},"responses":{"201":{"description":"`OrganizerContentItemResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerContentItemResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/plus/contents/{content}/items/reorder":{"post":{"operationId":"contentItems.reorder","tags":["ContentItems"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReorderContentItemsRequest"}}}},"responses":{"200":{"description":"Array of `OrganizerContentItemResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganizerContentItemResource"}}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/plus/contents/{content}/items/{item}":{"get":{"operationId":"contentItems.show","tags":["ContentItems"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}},{"name":"item","in":"path","required":true,"description":"The item ID","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"`OrganizerContentItemResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerContentItemResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}},"put":{"operationId":"contentItems.update","tags":["ContentItems"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}},{"name":"item","in":"path","required":true,"description":"The item ID","schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateContentItemRequest"}}}},"responses":{"200":{"description":"`OrganizerContentItemResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerContentItemResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}},"delete":{"operationId":"contentItems.destroy","tags":["ContentItems"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}},{"name":"item","in":"path","required":true,"description":"The item ID","schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No content"},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"description":"","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"INVALID_OPERATION"},"message":{"type":"string","const":"This episode has been purchased and cannot be deleted."}},"required":["code","message"]}},"required":["error"]},{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"INVALID_OPERATION"},"message":{"type":"string","const":"Use the trailer endpoint to remove the trailer."}},"required":["code","message"]}},"required":["error"]}]}}}}}}},"/v1/organizer/plus/contents":{"get":{"operationId":"contents.index","tags":["Contents"],"parameters":[{"name":"status","in":"query","schema":{"type":"string"}},{"name":"type","in":"query","schema":{"type":"string"}},{"name":"search","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/OrganizerContentResource"},{"type":"object","required":["trailer","organization"]}]}},"meta":{"type":"object","properties":{"current_page":{"type":"integer"},"per_page":{"type":"integer"},"total_count":{"type":"string"},"total_pages":{"type":"string"}},"required":["current_page","per_page","total_count","total_pages"]},"summary":{"type":"object","properties":{"all":{"type":"integer","minimum":0},"draft":{"type":"integer","minimum":0},"processing":{"type":"integer","minimum":0},"pending_approval":{"type":"integer","minimum":0},"approved":{"type":"integer","minimum":0},"published":{"type":"integer","minimum":0},"live":{"type":"integer","minimum":0},"ended":{"type":"integer","minimum":0},"rejected":{"type":"integer","minimum":0},"retired":{"type":"integer","minimum":0}},"required":["all","draft","processing","pending_approval","approved","published","live","ended","rejected","retired"]}},"required":["data","meta","summary"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}},"post":{"operationId":"contents.store","tags":["Contents"],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/StoreContentRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/plus/contents/{content}":{"get":{"operationId":"contents.show","tags":["Contents"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"responses":{"200":{"description":"`OrganizerContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/OrganizerContentResource"},{"type":"object","required":["trailer","items","organization"]}]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}},"put":{"operationId":"contents.update","tags":["Contents"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UpdateContentRequest"}}}},"responses":{"200":{"description":"`OrganizerContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerContentResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}},"delete":{"operationId":"contents.destroy","tags":["Contents"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"responses":{"204":{"description":"No content"},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"INVALID_OPERATION"},"message":{"type":"string","const":"Only draft, rejected, or retired content can be deleted."}},"required":["code","message"]}},"required":["error"]}}}}}}},"/v1/organizer/plus/contents/{content}/request-approval":{"post":{"operationId":"contents.requestApproval","tags":["Contents"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestApprovalRequest"}}}},"responses":{"200":{"description":"`OrganizerContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/OrganizerContentResource"},{"type":"object","required":["trailer","items"]}]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/plus/contents/{content}/retire":{"post":{"operationId":"contents.retire","tags":["Contents"],"parameters":[{"name":"content","in":"path","required":true,"description":"The content slug","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"reason":{"type":"string"}}}}}},"responses":{"200":{"description":"`OrganizerContentResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerContentResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/coupons/validate":{"post":{"operationId":"coupons.validate","description":"Validate a coupon code for an event.","summary":"POST /coupons/validate","tags":["Coupons"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateCouponRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"data":{"$ref":"#/components/schemas/CouponValidationResource"}},"required":["data"]},{"type":"string"}]}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"EVENT_NOT_FOUND"},"message":{"type":"string","const":"This event is no longer available."}},"required":["code","message"]}},"required":["error"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/credits/balance":{"get":{"operationId":"credit.balance","summary":"GET /api/v1/organizer/credits/balance","tags":["Credit"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"balance_kes":{"type":"number"},"currency":{"type":"string"},"low_balance_threshold_kes":{"type":"number"}},"required":["balance_kes","currency","low_balance_threshold_kes"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/organizer/credits/estimate":{"post":{"operationId":"credit.estimate","summary":"POST /api/v1/organizer/credits/estimate","tags":["Credit"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EstimateBlastCostRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"channel":{"type":"string"},"recipient_count":{"type":"integer"},"segments_per_recipient":{"type":"integer"},"unit_cost_kes":{"type":"number"},"total_cost_kes":{"type":"number"},"current_balance_kes":{"type":"number"},"sufficient_balance":{"type":"boolean"},"deficit_kes":{"type":"number"}},"required":["channel","recipient_count","segments_per_recipient","unit_cost_kes","total_cost_kes","current_balance_kes","sufficient_balance","deficit_kes"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/credits/top-up":{"post":{"operationId":"credit.topUp","summary":"POST /api/v1/organizer/credits/top-up","tags":["Credit"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitiateTopUpRequest"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"transaction_id":{"type":"string"},"amount_kes":{"type":"number"},"status":{"type":"string","enum":["failed","pending"]},"payment":{"type":"object","properties":{"checkout_url":{},"checkout_id":{"type":"string"}},"required":["checkout_url","checkout_id"]}},"required":["transaction_id","amount_kes","status","payment"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"402":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"payment_init_failed"},"message":{"type":"string","const":"Failed to initialize payment. Please try again."}},"required":["code","message"]}},"required":["error"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/credits/transactions":{"get":{"operationId":"credit.transactions","summary":"GET /api/v1/organizer/credits/transactions","tags":["Credit"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/LengthAwarePaginator"},"meta":{"type":"object","properties":{"current_page":{"type":"integer"},"per_page":{"type":"integer"},"total_count":{"type":"integer"},"total_pages":{"type":"integer"}},"required":["current_page","per_page","total_count","total_pages"]}},"required":["data","meta"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/access/customer_token_keys":{"get":{"operationId":"access.customer_token_keys.index","tags":["CustomerTokenKeys"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}}}},"post":{"operationId":"access.customer_token_keys.store","tags":["CustomerTokenKeys"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":["string","null"],"maxLength":255}}}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{}}},"required":["data"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/access/customer_token_keys/{id}":{"delete":{"operationId":"access.customer_token_keys.destroy","tags":["CustomerTokenKeys"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":["string","null"]},"object":{"type":"string","const":"customer_token_key"},"name":{"type":["string","null"]},"status":{"type":"string"},"last_used_at":{"type":["string","null"]},"revoked_at":{"type":["string","null"]},"livemode":{"type":"boolean"},"created_at":{"type":["string","null"]}},"required":["id","object","name","status","last_used_at","revoked_at","livemode","created_at"]}},"required":["data"]}}}}}}},"/v1/customers":{"get":{"operationId":"customers.index","tags":["Customers"],"parameters":[{"name":"email","in":"query","schema":{"type":"string"}},{"name":"phone","in":"query","schema":{"type":"string"}},{"name":"external_id","in":"query","schema":{"type":"string"}},{"name":"metadata","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}}}},"post":{"operationId":"customers.store","tags":["Customers"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"metadata":{"type":["string","null"]},"external_id":{"type":["string","null"],"maxLength":255},"email":{"type":["string","null"],"format":"email","maxLength":254},"phone":{"type":["string","null"],"pattern":"^\\+[1-9]\\d{7,14}$"},"name":{"type":["string","null"],"maxLength":255}}}}}},"responses":{"201":{"description":"`CustomerResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/CustomerResource"}},"required":["data"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/customers/external/{externalId}":{"get":{"operationId":"customers.external","tags":["Customers"],"parameters":[{"name":"externalId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"`CustomerResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/CustomerResource"}},"required":["data"]}}}}}}},"/v1/customers/{id}":{"get":{"operationId":"customers.show","tags":["Customers"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"`CustomerResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/CustomerResource"}},"required":["data"]}}}}}},"patch":{"operationId":"customers.update","tags":["Customers"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"metadata":{"type":["string","null"]},"external_id":{"type":["string","null"],"maxLength":255},"email":{"type":["string","null"],"format":"email","maxLength":254},"phone":{"type":["string","null"],"pattern":"^\\+[1-9]\\d{7,14}$"},"name":{"type":["string","null"],"maxLength":255}}}}}},"responses":{"200":{"description":"`CustomerResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/CustomerResource"}},"required":["data"]}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/dashboard":{"get":{"operationId":"modules.events.organizer.dashboard.index","description":"Get dashboard overview for the organizer.\n\n`stats.total_revenue`, each recent event `revenue` and `settlement_health` are only returned to org Owners, Admins and platform admins.","summary":"GET /organizer/dashboard","tags":["Dashboard"],"parameters":[{"name":"period","in":"query","schema":{"type":"string","default":"30d"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"stats":{"type":"object","properties":{"tickets_sold":{"type":"object","properties":{"value":{"type":"integer"},"change_percentage":{"type":["number","null"]}},"required":["value","change_percentage"]},"total_revenue":{"type":"object","properties":{"value":{"type":"number"},"currency":{"type":"string"},"change_percentage":{"type":["number","null"]}},"required":["value","currency","change_percentage"]},"active_events":{"type":"object","properties":{"value":{"type":"integer"},"change_percentage":{"type":"null"}},"required":["value","change_percentage"]},"fanbase_count":{"type":"object","properties":{"value":{"type":"integer"},"change_percentage":{"type":"null"}},"required":["value","change_percentage"]}},"required":["tickets_sold","active_events","fanbase_count"]},"recent_events":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"image_url":{"type":["string","null"]},"start_date":{"type":["string","null"]},"tickets_sold":{"type":"integer"},"capacity":{"type":["integer","null"]},"revenue":{"type":"number"},"status":{"type":"string"}},"required":["id","name","image_url","start_date","tickets_sold","capacity","status"]}},"recent_activity":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"title":{"type":"string","enum":["New ticket purchase","Event published","Event sold out","Fan tier upgrade","New fan joined","Activity"]},"description":{"type":["string","null"]},"time":{"type":"string"},"meta":{}},"required":["id","type","title","description","time","meta"]}},"settlement_health":{"type":"object","properties":{"collected_cents":{"type":"integer"},"platform_fee_cents":{"type":"integer"},"net_to_organizer_cents":{"type":"integer"},"paid_out_cents":{"type":"integer"},"outstanding_cents":{"type":"integer"}},"required":["collected_cents","platform_fee_cents","net_to_organizer_cents","paid_out_cents","outstanding_cents"]},"customer_cohorts":{"type":"object","properties":{"unique_buyers":{"type":"integer"},"repeat_buyers":{"type":"integer"},"repeat_buyer_rate":{"type":"number"},"marketing_opt_in_count":{"type":"integer"}},"required":["unique_buyers","repeat_buyers","repeat_buyer_rate","marketing_opt_in_count"]},"registration_coverage":{"type":"object","properties":{"events_requiring_data":{"type":"integer"},"attendees":{"type":"integer"},"with_custom_data":{"type":"integer"},"coverage_rate":{"type":["number","null"]}},"required":["events_requiring_data","attendees","with_custom_data","coverage_rate"]}},"required":["stats","recent_events","recent_activity","customer_cohorts","registration_coverage"]},"meta":{"type":"object","properties":{"generated_at":{"type":"string"},"period":{"type":"string"},"cache_ttl_seconds":{"type":"integer"}},"required":["generated_at","period","cache_ttl_seconds"]}},"required":["data","meta"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}},"/v1/access/entitlements":{"get":{"operationId":"access.entitlements.index","tags":["Entitlements"],"parameters":[{"name":"customer","in":"query","schema":{"type":"string"}},{"name":"contact_hash","in":"query","schema":{"type":"string"}},{"name":"metadata","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}}}},"post":{"operationId":"access.entitlements.store","tags":["Entitlements"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GrantEntitlementRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/access/entitlements/external/{externalId}":{"get":{"operationId":"access.entitlements.external","tags":["Entitlements"],"parameters":[{"name":"externalId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"`EntitlementResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EntitlementResource"}},"required":["data"]}}}}}}},"/v1/access/entitlements/{id}":{"get":{"operationId":"access.entitlements.show","tags":["Entitlements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"`EntitlementResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EntitlementResource"}},"required":["data"]}}}}}},"delete":{"operationId":"access.entitlements.destroy","tags":["Entitlements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"`EntitlementResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EntitlementResource"}},"required":["data"]}}}}}}},"/v1/access/entitlements/{id}/suspend":{"post":{"operationId":"access.entitlements.suspend","tags":["Entitlements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"`EntitlementResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EntitlementResource"}},"required":["data"]}}}}}}},"/v1/access/entitlements/{id}/resume":{"post":{"operationId":"access.entitlements.resume","tags":["Entitlements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"`EntitlementResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EntitlementResource"}},"required":["data"]}}}}}}},"/v1/events":{"get":{"operationId":"event.index","tags":["Event"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}}}}},"/v1/events/{event}":{"get":{"operationId":"event.show","tags":["Event"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"responses":{"200":{"description":"`EventPublicResource`","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/EventPublicResource"},{"type":"object","required":["images","tickets","slots"]}]}}}},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/public/events/categories/top":{"get":{"operationId":"event.topCategories","description":"Top event categories by event count.","summary":"GET /events/categories/top","tags":["Event"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"slug":{"type":"string"},"name":{"type":"string"},"events_count":{"type":"integer"}},"required":["slug","name","events_count"]}}},"required":["data"]}}}}}}},"/v1/organizer/events/{event}/communications/{channel}":{"post":{"operationId":"eventCommunications.store","tags":["EventCommunications"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"channel","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendEventCommunicationRequest"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"channel":{"type":"string"},"status":{"type":"string"},"recipients_count":{"type":"integer"},"credits_deducted_kes":{"type":"number"},"remaining_balance_kes":{"type":"number"},"scheduled_at":{"type":["string","null"]},"created_at":{"type":["string","null"]}},"required":["id","channel","status","recipients_count","credits_deducted_kes","remaining_balance_kes","scheduled_at","created_at"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"402":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","const":"insufficient_credits"},"message":{"type":"string","const":"Insufficient credits to send this blast"},"details":{"type":"object","properties":{"required_kes":{"type":"number"},"current_balance_kes":{"type":"number"},"deficit_kes":{"type":"number"}},"required":["required_kes","current_balance_kes","deficit_kes"]}},"required":["code","message","details"]}},"required":["success","error"]}}}},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/communications/preview":{"get":{"operationId":"eventCommunications.preview","tags":["EventCommunications"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"ticket_type_ids","in":"query","schema":{"type":["string","null"]}},{"name":"status","in":"query","schema":{"type":["string","null"],"enum":["confirmed","pending","cancelled",null]}},{"name":"checked_in","in":"query","schema":{"type":["boolean","null"]}},{"name":"payment_status","in":"query","schema":{"type":["string","null"],"enum":["completed","pending",null]}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"count":{"type":"integer","minimum":0}},"required":["count"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/communications":{"get":{"operationId":"eventCommunications.index","tags":["EventCommunications"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"channel","in":"query","schema":{"type":["string","null"],"enum":["email","sms","whatsapp",null]}},{"name":"status","in":"query","schema":{"type":["string","null"],"enum":["queued","sending","sent","failed",null]}},{"name":"page","in":"query","schema":{"type":["integer","null"],"minimum":1}},{"name":"per_page","in":"query","schema":{"type":["integer","null"],"minimum":1,"maximum":100}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganizerEventCommunicationResource"}},"meta":{"type":"object","properties":{"current_page":{"type":"integer"},"per_page":{"type":"integer"},"total_count":{"type":"integer"},"total_pages":{"type":"integer"}},"required":["current_page","per_page","total_count","total_pages"]}},"required":["data","meta"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/communications/{id}":{"get":{"operationId":"eventCommunications.show","tags":["EventCommunications"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerEventCommunicationDetailResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}},"delete":{"operationId":"eventCommunications.destroy","description":"Cancel a scheduled blast and refund credits.","summary":"DELETE /api/v1/organizer/events/{event}/communications/{id}","tags":["EventCommunications"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","const":"cancelled"}},"required":["id","status"]}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","const":"INVALID_OPERATION"},"message":{"type":"string","const":"Only queued or scheduled blasts can be cancelled."}},"required":["code","message"]}},"required":["error"]}}}}}}},"/v1/events/{event}/coupon/availability":{"get":{"operationId":"eventCoupon.availability","tags":["EventCoupon"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"code","in":"query","required":true,"schema":{"type":"string"}},{"name":"ticket_id","in":"query","required":true,"schema":{"type":"string"}},{"name":"quantity","in":"query","schema":{"type":["integer","null"],"minimum":1}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"available":{"type":"boolean"}},"required":["available"]}}}},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/events/{event}/coupon/discount":{"get":{"operationId":"eventCoupon.discount","tags":["EventCoupon"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"code","in":"query","required":true,"schema":{"type":"string"}},{"name":"ticket_id","in":"query","required":true,"schema":{"type":"string"}},{"name":"quantity","in":"query","required":true,"schema":{"type":"integer","minimum":1}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"discount":{"type":"number"}},"required":["discount"]}}}},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/coupons":{"get":{"operationId":"eventCoupons.index","tags":["EventCoupons"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganizerCouponResource"}},"meta":{"type":"object","properties":{"total_count":{"type":"integer","minimum":0}},"required":["total_count"]},"summary":{"type":"object","properties":{"all":{"type":"integer","minimum":0},"active":{"type":"integer","minimum":0},"inactive":{"type":"integer","minimum":0},"expired":{"type":"integer","minimum":0},"total_redemptions":{"type":"integer"},"total_discount_given":{"type":"number"}},"required":["all","active","inactive","expired","total_redemptions","total_discount_given"]}},"required":["data","meta","summary"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}},"post":{"operationId":"eventCoupons.store","tags":["EventCoupons"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreCouponRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/coupons/{coupon}":{"put":{"operationId":"eventCoupons.update","tags":["EventCoupons"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"coupon","in":"path","required":true,"description":"The coupon ID","schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCouponRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}},"delete":{"operationId":"eventCoupons.destroy","tags":["EventCoupons"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}},{"name":"coupon","in":"path","required":true,"description":"The coupon ID","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/events/{event}/data":{"get":{"operationId":"modules.events.eventData.index_89","tags":["EventData"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"event":{"$ref":"#/components/schemas/Event"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/EventData"}}},"required":["event","fields"]}}}},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/public/events/{event}/data":{"get":{"operationId":"modules.events.eventData.index_103","tags":["EventData"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"event":{"$ref":"#/components/schemas/Event"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/EventData"}}},"required":["event","fields"]}}}},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}},"/v1/organizer/events/{event}/data-fields":{"get":{"operationId":"eventDataFields.index","tags":["EventDataFields"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganizerDataFieldResource"}},"meta":{"type":"object","properties":{"total_count":{"type":"integer","minimum":0}},"required":["total_count"]},"summary":{"type":"object","properties":{"all":{"type":"integer","minimum":0},"required":{"type":"integer","minimum":0},"optional":{"type":"integer","minimum":0}},"required":["all","required","optional"]}},"required":["data","meta","summary"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}},"post":{"operationId":"eventDataFields.store","tags":["EventDataFields"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreDataFieldRequest"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/OrganizerDataFieldResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/data-fields/reorder":{"post":{"operationId":"eventDataFields.reorder","tags":["EventDataFields"],"parameters":[{"name":"event","in":"path","required":true,"description":"The event slug","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReorderDataFieldsRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganizerDataFieldResource"}}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}},"/v1/organizer/events/{event}/data
[...]
